=== debian/control ===
Source: ros-iron-phidgets-spatial
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-ros, ros-iron-phidgets-api, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/phidgets_spatial
Standards-Version: 3.9.2

Package: ros-iron-phidgets-spatial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-launch, ros-iron-phidgets-api, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-ros-workspace
Description: Driver for the Phidgets Spatial 3/3/3 devices
